#include <boost/locale.hpp>
#include <iostream>
#include "encoded.h"

using namespace std;

int
main(int argc, char **argv)
{
	cout << "UTF-8: " << UTF_8 << endl;

	/* ----- Latin5 ---- */
	try {
		cout << "iso-8859-9 (boost): " << boost::locale::conv::from_utf(UTF_8, "ISO-8859-9") << endl;
	} catch (...) {
		cout << "Exception has been caught" << endl;
	}
	cout << "iso-8859-9 (python): " << iso_8859_9 << endl;

	/* ----- Thai ---- */
	try {
		cout << "TIS620.2533-0 (boost): " << boost::locale::conv::from_utf(UTF_8, "TIS620.2533-0") << endl;
	} catch (...) {
		cout << "Exception has been caught" << endl;
	}
	cout << "TIS620.2533-0 (python): " << TIS_620 << endl;

	return (0);
}
